Name:		perl-Net-SFTP-Foreign
Version:	1.81
Release:	2%{?dist}
Summary:	SSH File Transfer Protocol client

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Net-SFTP-Foreign
Source0:	http://cpan.metacpan.org/authors/id/S/SA/SALVA/Net-SFTP-Foreign-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Errno)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Fcntl)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Dir)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(lib)
BuildRequires:	perl(Math::BigInt)
BuildRequires:	perl(Net::SFTP)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Tie::Handle)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(warnings)
BuildRequires:	perl(warnings::register)

Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
#Requires:	perl(bytes) # Needed only in Perl <= 5.8.x
Requires:	perl(Encode)
Requires:	perl(IO::Dir)
Requires:	perl(IO::File)
Requires:	perl(IO::Pty)
Requires:	perl(Math::BigInt)
Requires:	perl(Sort::Key)
Requires:	openssh-clients


%{?perl_default_filter}


%description
Net::SFTP::Foreign is a Perl client for the SFTP version 3 as defined in the SSH
File Transfer Protocol IETF draft, draft-ietf-secsh-filexfer-02.txt, included on
this package distribution, on the rfc directory.

Net::SFTP::Foreign uses any compatible ssh command installed on the system (for
instance, OpenSSH ssh) to establish the secure connection to the remote server.

A wrapper module Net::SFTP::Foreign::Compat is also provided for compatibility
with Net::SFTP.


%prep
%setup -q -n Net-SFTP-Foreign-%{version}
rm lib/Net/SFTP/Foreign/Backend/Windows.pm


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*


%check
make test


%files
%license LICENSE
%doc Changes README debug.txt TODO rfc samples
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.81-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 22 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.81-1
- 1.81 bump

* Thu Jul 23 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.77-1
- 1.77 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.75-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.75-6
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.75-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.75-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 1.75-3
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.75-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 04 2013 Normunds Neimanis <fedorapkg at rule.lv> 1.75-1
- Updated to latest stable version

* Mon Mar 04 2013 Normunds Neimanis <fedorapkg at rule.lv> 1.74.05-5
- Removed dependency that brakes builds

* Mon Mar 04 2013 Normunds Neimanis <fedorapkg at rule.lv> 1.74.05-4
- Fixed dependency mistake

* Fri Mar 01 2013 Normunds Neimanis <fedorapkg at rule.lv> 1.74.05-3
- Added missing runtime dependencies

* Sun Feb 24 2013 Normunds Neimanis <fedorapkg at rule.lv> 1.74.05-2
- Fixed incorrect dependency line

* Mon Feb 18 2013 Normunds Neimanis <fedorapkg at rule.lv> 1.74.05-1
- Package for current Fedora
